cmsearch(1)

NAME

cmsearch - search a sequence database for RNAs homologous to a CM,
    using an HMM as a pre-filtering step to increase speed.

SYNOPSIS
cmsearch window length score threshold cmfile compact-type HMM expanded-type HMM seqfile runsearch

DESCRIPTION
cm2hmmsearch uses the covariance model (CM) in cmfile to search for homologous RNAs in seqfile, and outputs high-scoring alignments. A compact-type HMM and/or expanded-type HMM is used as a pre-filtering step, which usually increases the overall speed of the search. HMMs created with cm2hmm are rigorous, meaning that no new false negatives are introduced by using the filter.

The sequence file is assumed to be in FASTA format.

CM files are profiles of RNA consensus secondary structure. A CM file is produced by the cmbuild program, from a given RNA sequence alignment of known consensus structure.

HMM files are profiles of RNA consensus primary sequence, produced by cm2hmm from a given CM file.

OPTIONS

--help
    Print brief help; includes summary of parameters.

window length

score threshold

runsearch
    Indicate whether cmsearch should actually be run. 1 will run the cmsearch and output hits. 0 will report on the filtering fraction that was achieved with the HMM filters.

SEE ALSO
For complete documentation, see the User's Guide (Userguide.pdf) that came with the distribution; or see the Infernal web page, http://infernal.janelia.org/.

COPYRIGHT
Copyright (C) 2009 HHMI Janelia Farm Research Campus.
Freely distributed under the GNU General Public License (GPLv3).
See the file COPYING that came with the source for details on redistribution conditions.

AUTHOR
Eric Nawrocki, Diana Kolbe, and Sean Eddy
HHMI Janelia Farm Research Campus
19700 Helix Drive
Ashburn VA 20147
http://selab.janelia.org/